<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateTbCirujanosTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('tb_cirujanos', function (Blueprint $table) {
            $table->id();
            $table->string('documento',255)->index()->unique();
            $table->string('primer_nombre',255);
            $table->string('segundo_nombre',255);
            $table->string('primer_apellido',255);
            $table->string('segundo_apellido',255);
            $table->char('genero',1);
            $table->enum('activo', ['1', '0']);
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('tb_cirujanos');
    }
}
